Package com.trilead.ssh2.crypto.cipher

# Class CipherInputStream

java.lang.Object
com.trilead.ssh2.crypto.cipher.CipherInputStream

public class CipherInputStream extends Object
CipherInputStream.

## Constructor Summary

Constructors
Constructor
Description
`CipherInputStream(BlockCipher tc, InputStream bi)`

## Method Summary

Modifier and Type
Method
Description
`void`
`changeCipher(BlockCipher bc)`
`int`
`read()`
`int`
`read(byte[] dst)`
`int`
`read(byte[] dst, int off, int len)`
`int`
`readPlain(byte[] b, int off, int len)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CipherInputStream

public CipherInputStream(BlockCipher tc, InputStream bi)

## Method Details

### changeCipher

public void changeCipher(BlockCipher bc)

### read

public int read(byte[] dst) throws IOException

Throws:
  `IOException`

### read

public int read(byte[] dst, int off, int len) throws IOException

Throws:
  `IOException`

### read

public int read() throws IOException

Throws:
  `IOException`

### readPlain

public int readPlain(byte[] b, int off, int len) throws IOException

Throws:
  `IOException`